astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- load_schema

# load_schema

asdf.schema.load_schema(url, resolver=None, resolve_references=False)

  Load a schema from the given URL.

  Parameters:
    url str

      The path to the schema

    resolver callable, optional

      A callback function used to map URIs to other URIs. The callable must take a string and return a string or `None`. This is useful, for example, when a remote resource has a mirror on the local filesystem that you wish to use.

    resolve_references bool, optional

      If `True`, resolve all `$ref` references.